Bug 476749 - no error messages or tty1 fallback for gdm/X-server failure
no error messages or tty1 fallback for gdm/X-server failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On: 476747
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 17:09 EST by Roland McGrath
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2008-12-16 17:09:16 EST
Description of problem:

When the X server fails to start, there are no error messages on the console,
and tty1 does not revert to a text login prompt.

Version-Release number of selected component (if applicable):

upstart-0.3.9-19.fc10.i386
gdm-2.24.1-2.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. echo lose > /etc/X11/xorg.conf
2. reboot
3. in boot loader, remove "rhgb" from command line
  
Actual results:

Last message is "Starting anacron", no more output on tty1.

Expected results:

Show some messages about gdm/X failing, then switch to text login prompt.

Additional info:

Note that bug 476747 makes this far worse when "rhgb" is in the command line and you get the "solar" graphical boot screen.

Without graphical boot, it is possible to hit Alt-F2 and get a text login on tty2.  But this is very nonobvious, and a user will usually just wait several minutes to see if it finishes starting up or says something useful.
Comment 1 Casey Dahlin 2008-12-16 17:14:13 EST
this is probably an issue with the actual scripts/jobs. Bill?
Comment 2 Bill Nottingham 2008-12-16 22:51:38 EST
That's nontrivial to implement in that way; there's no event emitted for 'respawn limit hit'.
Comment 3 Bug Zapper 2009-11-18 05:29:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:18:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.